# List Share Permissions

Launch stage: GA

`GET /api/2.1/unity-catalog/shares/{name}/permissions`

Gets the permissions for a data share from the metastore.
 The caller must have the USE_SHARE privilege on the metastore or be the owner of the share.

API scopes: sharing

## Path parameters

- `name` (string, optional)
  The name of the share.

## Query parameters

- `max_results` (int32, optional)
  Maximum number of permissions to return.
    - when set to 0, the page length is set to a server configured value (recommended);
    - when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
    - when set to a value less than 0, an invalid parameter error is returned;
    - If not set, all valid permissions are returned (not recommended).
    - Note: The number of returned permissions might be less than the specified max_results size, even zero.
    The only definitive indication that no further permissions can be fetched is when the next_page_token is unset from the response.
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

- `next_page_token` (string, optional)
  Opaque token to retrieve the next page of results. Absent if there are no more pages.
   __page_token__ should be set to this value for the next request (for the next page of results).
- `privilege_assignments` (array of object, optional)
  The privileges assigned to each principal
  - `principal` (string, optional)
    The principal (user email address or group name).
     For deleted principals, `principal` is empty while `principal_id` is populated.
  - `privileges` (array of string, optional)
    The privileges assigned to the principal.
    Example: `SELECT`

## Response

```json
{
  "next_page_token": "string",
  "privilege_assignments": [
    {
      "principal": "string",
      "privileges": "SELECT"
    }
  ]
}
```

